Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036654
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2017-08-16 12:152017-10-27 09:18
Reporterjorge-garciaView Statuspublic 
Assigned Tojorge-garcia 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision443b0a0eb45e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036654: A sanity check must be added to the login to avoid some scenarios with corrupted data

DescriptionThe idea of this sanity check is simple and it's ONLY used in full refresh:
 * During the login, data from masterdata is loaded to the webPOS
 * This sanity check will compare the number of records sent from the server with the number of records present in the client-side database.
 * Here could be two scenarios:
   * Scenario 1 - All models has all the data sent by the server
     - In this case nothing happens and the user could work as usual
   * Scenario 2 - Some models doesn't have the same number of records in websql and in the server
     - In this case, a popup will be shown to force to the user to refresh again all the models
Steps To ReproduceRefer to the description to understand the problem
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0037172RR17Q3.1 closedjorge-garcia A sanity check must be added to the login to avoid some scenarios with corrupted data 
depends on backport 0037173RR17Q2.4 closedjorge-garcia A sanity check must be added to the login to avoid some scenarios with corrupted data 
related to defect 0036241 closedguillermogil With bad connectivity and pagination WebPOS can get loaded even without all the information 
causes defect 0037283 closedjorge-garcia It is not possible to do login if one product category is not active 
causes backport 0037285RR17Q4 closedjorge-garcia It is not possible to do login if one product category is not active 
causes defect 0040162 closedranjith_qualiantech_com It is not possible to do login in remote mode if one product category is not active 

-  Notes
(0098614)
hgbot (developer)
2017-08-23 14:01

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 443b0a0eb45eeca9e03efe0080f6632ad046c624
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Wed Aug 23 13:58:21 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/443b0a0eb45eeca9e03efe0080f6632ad046c624 [^]

Fixed issue 36654: A sanity check must be added to the login to avoid some
scenarios with corrupted data

It’s necessary to add a check during the login of WebPOS to be sure all the
data is correctly save in the client-side.

This check is only done during a full refresh, when we can be sure that the
number of records retrieved from the server are all the records that should
be added in the client.

In addition, some new log messages has been added to help us to debug
possible errors in the future.

---
M src/org/openbravo/mobile/core/process/ProcessHQLQuery.java
M web/org.openbravo.mobile.core/source/data/ob-dal.js
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
---
(0098615)
hgbot (developer)
2017-08-23 14:01

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0d7e7a64e6c106efc94e781bea234db1c242ce0c
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Aug 22 08:52:13 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0d7e7a64e6c106efc94e781bea234db1c242ce0c [^]

Related to issue 36654: A sanity check must be added to the login to avoid some
scenarios with corrupted data

Change Discounts query to discard promotions deactivate during a full request.

---
M src/org/openbravo/retail/posterminal/master/Discount.java
---
(0100091)
jorge-garcia (developer)
2017-10-27 09:17

Reopened to create backports for 17Q2.4 and 17Q3.1

- Issue History
Date Modified Username Field Change
2017-08-16 12:15 jorge-garcia New Issue
2017-08-16 12:15 jorge-garcia Assigned To => jorge-garcia
2017-08-16 12:15 jorge-garcia Triggers an Emergency Pack => No
2017-08-17 09:55 jorge-garcia Status new => scheduled
2017-08-23 14:01 hgbot Checkin
2017-08-23 14:01 hgbot Note Added: 0098614
2017-08-23 14:01 hgbot Status scheduled => resolved
2017-08-23 14:01 hgbot Resolution open => fixed
2017-08-23 14:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/443b0a0eb45eeca9e03efe0080f6632ad046c624 [^]
2017-08-23 14:01 hgbot Checkin
2017-08-23 14:01 hgbot Note Added: 0098615
2017-08-23 14:12 jorge-garcia Relationship added has duplicate 0036241
2017-08-23 14:42 jorge-garcia Relationship deleted has duplicate 0036241
2017-08-23 14:42 jorge-garcia Relationship added related to 0036241
2017-09-04 09:21 marvintm Review Assigned To => marvintm
2017-09-04 09:21 marvintm Status resolved => closed
2017-09-04 09:21 marvintm Fixed in Version => RR17Q4
2017-10-27 09:17 jorge-garcia Note Added: 0100091
2017-10-27 09:17 jorge-garcia Status closed => new
2017-10-27 09:17 jorge-garcia Resolution fixed => open
2017-10-27 09:17 jorge-garcia Fixed in Version RR17Q4 =>
2017-10-27 09:17 jorge-garcia Status new => scheduled
2017-10-27 09:18 jorge-garcia Status scheduled => resolved
2017-10-27 09:18 jorge-garcia Resolution open => fixed
2017-10-27 09:18 jorge-garcia Status resolved => closed
2017-11-17 10:44 jorge-garcia Relationship added causes 0037283
2017-11-17 10:50 jorge-garcia Relationship added causes 0037285
2019-02-06 13:09 aaroncalero Relationship added causes 0040162


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker